nav {
    width: 100%;
    background-color: rgb(0, 0, 0, .6);
    color: var(--green-400);
    position: fixed;
    z-index: 100;
    backdrop-filter: blur(20px);
    -webkit-backdrop-filter: blur(50px);
    transition: all 1s;
    padding: 0 40px;
}

.container-nav-desktop {
    width: 100%;
    display: flex;
    justify-content: space-between;
    max-width: 1200px;
    margin: 0 auto;
}

.container-nav-desktop .logo-box figure {
    padding: 10px 0;
}

.container-nav-desktop .logo-box figure img {
    height: 60px;
}

.container-nav-desktop .menu-desktop-box ul {
    width: fit-content;
    display: flex;
    gap: 20px;
    height: 80px;
}

.container-nav-desktop .menu-desktop-box ul li {
    display: flex;
}

.container-nav-desktop .menu-desktop-box ul li a {
    display: inline-block;
    line-height: 24px;
    margin: auto 0;
}

.container-nav-desktop .menu-desktop-box ul li a:hover {
    color: rgb(0, 255, 145);
}

.container-nav-desktop .menu-desktop-box ul li a.active {
    color: rgb(0, 255, 145);
}

.container-nav-desktop .menu-mobile-box {
    display: none;
}

@media only screen and (max-width:960px) {
    .container-nav-desktop .menu-desktop-box {
        display: none;
    }

    .container-nav-desktop .menu-mobile-box {
        display: block;
    }

    .container-nav-desktop .menu-mobile-box .button-box {
        line-height: 80px;
    }
    
    .container-nav-desktop .menu-mobile-box .button-box span{
        font-size: 40px;
        line-height:80px;
    }

    .container-nav-desktop .menu-mobile-box .menu-mobile {
        position: absolute;
        background-color: var(--green-900);
        color: white;
        padding: 20px;
        width: 100%;
        left: 0;
        display: none;
    }

    .container-nav-desktop .menu-mobile-box .menu-mobile ul li a {
        display: block;
        line-height: 40px;
        border-bottom: 2px solid white;
    }
}

@media only screen and (max-width:640px) {
    nav {
        padding: 0 20px;
    }
}